import { useState, useEffect} from 'react';
import { connect } from '@umijs/max';
import { ConfigProvider } from 'antd';
import PagesMainAdvertisementPutinTable from '@/components/Render/Main/Advertisement/Putin/table'
import PagesMainAdvertisementPutinCreate from '@/components/Render/Main/Advertisement/Putin/create'

const AdvertisementListPage: React.FC = ({ dispatch, openModel }: any) => {
    const [id, setId] = useState<number>(0);
    const getId = (value: number) => {
        setId(value)
    }

    useEffect(() => {
        if(!openModel.openModal) {
            setId(0)
        }
    }, [openModel.openModal])

    return (
        <>
            <ConfigProvider
                theme={{
                    token: {
                        colorPrimary: '#4FBE70',
                    }
                }}
            >
                <PagesMainAdvertisementPutinTable getId={getId}></PagesMainAdvertisementPutinTable>
                <PagesMainAdvertisementPutinCreate id={id}></PagesMainAdvertisementPutinCreate>
            </ConfigProvider>
        </>
    );
};

export default connect(({  openModel }: any) => ({
    openModel
}))(AdvertisementListPage);

